local M = {}
local min = math.min
local max = math.max

local function init()
    electrics.values.throttle_change = 0
	electrics.values.heli_throttle = 0
	electrics.values.heli_fuelwarn = 0
	electrics.values.heli_engwarn = 0
	
end

local function reset()
	init()
end

local function updateGFX(dt)
	local dirVector = obj:getDirectionVector()
	local dirVectorUp = obj:getDirectionVectorUp()
	
	electrics.values.heli_rollDeg = (dirVectorUp.x * -dirVector.y + dirVectorUp.y * dirVector.x) * 57.2958
	electrics.values.heli_pitchDeg = dirVector.z * 57.2958
	
	electrics.values.heli_throttle = min(max(electrics.values.heli_throttle + (electrics.values.throttle_change * dt * 0.5), 0), 1)
	
	if electrics.values.fuel < 0.1 then electrics.values.heli_fuelwarn = 1 else electrics.values.heli_fuelwarn = 0 end
	
	if electrics.values.oiltemp > 120 or electrics.values.watertemp > 110 then electrics.values.heli_engwarn = 1 else electrics.values.heli_engwarn = 0 end
	
	electrics.values.wheelspeed = electrics.values.airspeed
	
end

M.onInit = init
M.onReset = init
M.updateGFX = updateGFX

return M